CREATE TABLE cst_acct_inv_qty_daily (
    COST_ORG_ID               NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID              NUMBER(18, 0)     NOT NULL,
    VAL_UNIT_ID               NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0)     NOT NULL,
    SNAPSHOT_DATE             DATE              NOT NULL,
    EFF_TO_DATE               DATE          ,
    BUSINESS_UNIT_ID          NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORG_ID          NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE         VARCHAR2(40)  ,
    LOCATOR_ID                NUMBER(18, 0) ,
    QUANTITY                  NUMBER        ,
    UOM_CODE                  VARCHAR2(12)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    COST_ORG_ID               NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID              NUMBER(18, 0)     NOT NULL,
    VAL_UNIT_ID               NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0)     NOT NULL,
    SNAPSHOT_DATE             DATE              NOT NULL,
    EFF_TO_DATE               DATE          ,
    BUSINESS_UNIT_ID          NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORG_ID          NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE         VARCHAR2(40)  ,
    LOCATOR_ID                NUMBER(18, 0) ,
    QUANTITY                  NUMBER        ,
    UOM_CODE                  VARCHAR2(12)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600)
);
